Changes between Version 74 and Version 75 of firefox


Ignore:
Timestamp:
09/25/2020 09:32:52 PM (12 months ago)
Author:
ken@…
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • firefox

    v74 v75  
    7979This is an attempt to help people who want to keep using the latest upstream release, and will be updated from time to time. It is also a store of important changes which will need to be addressed when the book moves to the next ESR version.
    8080
    81 == Dependencies for 80.0 ==
     81
     82== Dependencies for 81.0 ==
    8283
    8384cbindgen needs to be >= 0.14.3
    84 nss needs to be >= 3.55
    85 nspr needs to match nss (i.e. 4.27 for nss-3.55)
    86 rustc needs to be >= 1.43, tested with 1.45.2 (using gcc).
     85
     86nss needs to be >= 3.56
     87
     88nspr needs to match nss (i.e. 4.28 for nss-3.56)
     89
     90rustc needs to be >= 1.43, tested with 1.45.2 and 1.46 (using gcc).
    8791There are reports that 1.45-series fail to build if the default clang is used.
    8892
    89 == Dependencies for 81.0beta ==
     93== Dependencies for 82.0beta ==
    9094
    91 New command ./mach create-mach-environment required before ./mach build (see above).
     95nss needs to be >= 3.57 which is latest,
    9296
    93 nspr needs to be 4.28.
    94 nss needs to be 3.56.
    95 Tested with rustc-1.45.1 on BLFS-10.0 and firefox-81.0b7.
     97nspr needs to be >= 4.29 which again is latest.
     98
     99Tested in 82.0b2 with rustc-1.46.0 and gcc
    96100
    97101